﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using System.IO.IsolatedStorage;

namespace SimpleMemoCS
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        //保存ボタンクリック時のイベント・ハンドラ
        private void buttonSave_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                //分離ストレージに保存する
                IsolatedStorageSettings.ApplicationSettings["SimpleMemo"] = this.textBoxBody.Text;
                IsolatedStorageSettings.ApplicationSettings.Save();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        //読出ボタンクリック時のイベント・ハンドラ
        private void buttonLoad_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                //分離ストレージから読出す
                this.textBoxBody.Text = IsolatedStorageSettings.ApplicationSettings["SimpleMemo"].ToString();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        //クリアボタンクリック時のイベント・ハンドラ
        private void buttonClear_Click(object sender, RoutedEventArgs e)
        {
            this.textBoxBody.Text = string.Empty;
        }
    }
}
